/*==============================================================*/
/* DBMS name:      MySQL 5.0                                    */
/* Created on:     2019/2/28 11:14:22                           */
/*==============================================================*/


drop table if exists permission;

drop table if exists user;

/*==============================================================*/
/* Table: permission                                            */
/*==============================================================*/
create table permission
(
   id                   int not null auto_increment,
   uid                  int not null comment '用户id',
   role                 int comment '用户的角色，设值为1，2，4，8，16...',
   create_time          timestamp(13) default CURRENT_TIMESTAMP comment '创建时间',
   modify_time          timestamp(13) default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '最后更新时间',
   status               char(32) comment '角色是否生效的状态',
   is_del               bool default false comment '删除标志',
   primary key (id)
);

alter table permission comment '权限表';

/*==============================================================*/
/* Table: user                                                  */
/*==============================================================*/
create table user
(
   id                   int not null auto_increment,
   username             varchar(128) not null comment '用户名',
   password             varchar(128) not null comment '用户密码',
   nickname             varchar(256) comment '用户昵称',
   tel                  char(16) comment '用户电话',
   email                char(64) comment '用户邮箱',
   create_time          timestamp(13) default CURRENT_TIMESTAMP comment '创建时间',
   modify_time          timestamp(13) default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP comment '最后更新时间',
   is_del               char(10) default 'false' comment '删除标志',
   primary key (id)
);

alter table user comment '用户表';

